ComplexDecisionAction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.action
Class ComplexDecisionAction

    java.lang.Object
      org.maltparser.parser.history.action.ComplexDecisionAction

All Implemented Interfaces:
  ActionDecision, GuideDecision, GuideUserAction, MultipleDecision

    public class ComplexDecisionAction

extends Object
implements GuideUserAction, MultipleDecision

Since:
  1.1
Author:
  Johan Hall

Field Summary
`protected ArrayList<SimpleDecisionAction>` | `decisions`
`protected History` | `history`

Constructor Summary
`ComplexDecisionAction(GuideHistory history)`
`ComplexDecisionAction(History history)`

Method Summary
`void` | `addAction(ActionContainer[] actionContainers)`
`void` | `addAction(ArrayList<ActionContainer> actionContainers)`
`void` | `clear()`
`boolean` | `equals(Object obj)`
`void` | `getAction(ActionContainer[] actionContainers)`
`void` | `getAction(ArrayList<ActionContainer> actionContainers)`
`GuideHistory` | `getGuideHistory()`
`GuideUserHistory` | `getGuideUserHistory()`
`void` | `getKBestLists(ArrayList<ScoredKBestList> kbestListContainers)`
`void` | `getKBestLists(ScoredKBestList[] kbestListContainers)`
`SingleDecision` | `getSingleDecision(int decisionIndex)`
`protected void` | `initDecisions()`
`int` | `numberOfActions()`
`int` | `numberOfDecisions()`
`protected void` | `setHistory(History history)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### history

    protected History history

### decisions

    protected ArrayList<SimpleDecisionAction> decisions

Constructor Detail

### ComplexDecisionAction

    public ComplexDecisionAction(History history)
                          throws MaltChainedException

Throws:
  `MaltChainedException`

### ComplexDecisionAction

    public ComplexDecisionAction(GuideHistory history)
                          throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### addAction

    public void addAction(ArrayList<ActionContainer> actionContainers)
                   throws MaltChainedException

  Specified by:
    `addAction` in interface `GuideUserAction`
  Throws:
    `MaltChainedException`

### getAction

    public void getAction(ArrayList<ActionContainer> actionContainers)
                   throws MaltChainedException

  Specified by:
    `getAction` in interface `GuideUserAction`
  Throws:
    `MaltChainedException`

### addAction

    public void addAction(ActionContainer[] actionContainers)
                   throws MaltChainedException

  Specified by:
    `addAction` in interface `GuideUserAction`
  Throws:
    `MaltChainedException`

### getAction

    public void getAction(ActionContainer[] actionContainers)
                   throws MaltChainedException

  Specified by:
    `getAction` in interface `GuideUserAction`
  Throws:
    `MaltChainedException`

### getKBestLists

    public void getKBestLists(ArrayList<ScoredKBestList> kbestListContainers)
                       throws MaltChainedException

  Specified by:
    `getKBestLists` in interface `GuideUserAction`
  Throws:
    `MaltChainedException`

### getKBestLists

    public void getKBestLists(ScoredKBestList[] kbestListContainers)
                       throws MaltChainedException

  Specified by:
    `getKBestLists` in interface `GuideUserAction`
  Throws:
    `MaltChainedException`

### numberOfActions

    public int numberOfActions()

  Specified by:
    `numberOfActions` in interface `GuideUserAction`

### getGuideUserHistory

    public GuideUserHistory getGuideUserHistory()

  Specified by:
    `getGuideUserHistory` in interface `GuideUserAction`

### clear

    public void clear()

  Specified by:
    `clear` in interface `ActionDecision`

### getSingleDecision

    public SingleDecision getSingleDecision(int decisionIndex)
                                     throws MaltChainedException

  Specified by:
    `getSingleDecision` in interface `MultipleDecision`
  Throws:
    `MaltChainedException`

### numberOfDecisions

    public int numberOfDecisions()

  Specified by:
    `numberOfDecisions` in interface `GuideDecision`

### getGuideHistory

    public GuideHistory getGuideHistory()

  Specified by:
    `getGuideHistory` in interface `GuideDecision`

### initDecisions

    protected void initDecisions()
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### setHistory

    protected void setHistory(History history)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.